---
title: Community Powered Projects
---

Here you will find great projects contributed by the Apache PredictionIO
(incubating) community. Stay tuned.

INFO: If you have built a Apache PredictionIO (incubating)-related project, we
would love to showcase it to the community! Simply edit [this
page](https://github.com/apache/incubator-predictionio/blob/livedoc/docs/manual/source/community/projects.html.md)
and submit a pull request.

## SDKs

Community-powered SDKs are [separately listed](/sdk/).

## Magento 2 Personalised Products Module

URL: https://github.com/richdynamix/personalised-products

Personalised Products is a Magento 2 module that will serve realtime predicted suggestions for product upsells on the product page and complimentary suggestions for cross sells on the basket page. All powered by PredictionIO using the [Similar Product](/gallery/template-gallery/#recommender-systems "Similar Product") engine and the [Complementary Purchase](/gallery/template-gallery/#unsupervised-learning "Complementary Purchase") engine.

- Core Author: Steven Richardson

- Status: It works with PredictionIO v0.9.5 - Under active development

## Vagrant Installation for PredictionIO

URL: https://github.com/PredictionIO/PredictionIO-Vagrant

Bring Up PredictionIO 0.9.x VM with Vagrant.

- Core Author: Raphael Mäder

- Status: It works with PredictionIO v0.8 - Under active development


## Docker Installation for PredictionIO

URL: https://github.com/mingfang/docker-predictionio

Run PredictionIO inside Docker.

- Core Author: Ming Fang

- Status: It works with PredictionIO v0.8 - Under active development


## Another Docker Installation for PredictionIO

URL: https://github.com/sphereio/docker-predictionio

Docker container for PredictionIO-based machine learning services.

- Core Author: Fabian M. Borschel

- Status: Runs latest PredictionIO v0.9.3 - Under active development


## GraphX Parallel SimRank Algorithm

URL: https://github.com/ZhouYii/PIO-Parallel-Simrank-Engine

Implementation of Delta-Simrank algorithm using Spark's GraphX framework.

- Core Author: Joey Zhou

- Status: It works with PredictionIO v0.8 - Under active development


## Magento Similar Products Extension

URL: https://github.com/magento-hackathon/Predictionio

Similar Products is a Magento extension that utilizes PredictionIO to create a more personalized suggestion of up-sell products on the Magento product page.

- Core Author: Steven Richardson, Raphael Mäder & Damian Luszczymak

- Status: It works with PredictionIO v0.8 - Under active development
